Bug 142364 - Crash when closing document after canceling chart wizard (Writer)
Summary: Crash when closing document after canceling chart wizard (Writer)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2021-05-19 03:14 UTC by Aron Budea
Modified: 2021-05-25 17:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Backtrace (26.48 KB, text/plain)
2021-05-19 03:14 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2021-05-19 03:14:00 UTC
Created attachment 172157 [details]
Backtrace

In an empty Writer document:
- add a table,
- with the caret in the table, click the chart icon in the toolbar to add a chart, this opens the chart wizard,
- cancel the wizard, and close the document (no need to save it).

=> Crash.

Observed using LO Version: 7.2.0.0.alpha1+ (c781776f3c79bbe3175b1452d26c79ebb931a500) / Ubuntu.
No crash in LO 7.1.0.3.
=> regression

Bibisected to the following commit using repo bibisect-linux-64-7.2. Adding CC: to Caolán McNamara.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1653bb9bffaa84a40b7d81a8277e887ea28df4e4
author		Caolán McNamara <caolanm@redhat.com>	2021-03-04 17:22:14 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2021-03-11 17:42:22 +0100

remove intermediate containers in sidebars
Comment 1 Caolán McNamara 2021-05-19 15:57:04 UTC
I wonder if that always threw an exception, just that now its in a destructor that's fatal
Comment 2 Commit Notification 2021-05-19 19:38:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/feb17e47bc04e2af6b4ecf7202764ce980f83242

tdf#142364 exception thrown during destruction

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 BogdanB 2021-05-25 17:11:18 UTC
No crash

Verified in
Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: 42d2b2d55a27f11153ea1713737d93540a19211d
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded